Bug 146805 - devel/cmake: add rules for wxgtk-2-2.[864]-config
Summary: devel/cmake: add rules for wxgtk-2-2.[864]-config
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-kde (Team)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-21 21:20 UTC by Rene Ladan
Modified: 2010-07-24 08:50 UTC (History)
0 users

See Also:


Attachments
file.diff (2.31 KB, patch)
2010-05-21 21:20 UTC, Rene Ladan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rene Ladan freebsd_committer 2010-05-21 21:20:01 UTC
Currently devel/cmake (2.8.1_1) does not properly detect wxWidgets when it is installed. This is because it looks for wx-config, which is not installed on FreeBSD systems, but not for wxgtk2-2.[864]-config, which is installed.

The attached patch adds detection for this to FindwxWidgets.cmake and FindwxWindows.cmake. The patch also bumps the PORTREVISION.

Fix: Patch attached with submission follows:
How-To-Repeat: Install one of x11-toolkits/wxgtk2[468] and devel/cmake

% cat ../testwx/CMakeLists.txt
cmake_minimum_required(VERSION 2.4.6)
find_package(wxWidgets REQUIRED)

%cmake ../testwx/
<bails out on FindwxWidgets.cmake line 807>
Comment 1 Edwin Groothuis freebsd_committer 2010-05-21 21:20:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kde

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Max Brazhnikov freebsd_committer 2010-07-05 23:13:11 UTC
State Changed
From-To: open->patched

Will be fixed with update to 2.8.2
Comment 3 dfilter service freebsd_committer 2010-07-24 08:45:22 UTC
makc        2010-07-24 07:45:08 UTC

  FreeBSD ports repository

  Modified files:
    devel/cmake          Makefile distinfo pkg-plist 
  Added files:
    devel/cmake/files    patch-Modules_FindwxWidgets.cmake 
                         patch-Modules_FindwxWindows.cmake 
  Log:
  Update to 2.8.2
  Respect WX_CONFIG [1]
  
  PR:             ports/146805 [1]
  Reported by:    rene@
  
  Revision  Changes    Path
  1.41      +1 -2      ports/devel/cmake/Makefile
  1.26      +3 -3      ports/devel/cmake/distinfo
  1.1       +11 -0     ports/devel/cmake/files/patch-Modules_FindwxWidgets.cmake (new)
  1.1       +12 -0     ports/devel/cmake/files/patch-Modules_FindwxWindows.cmake (new)
  1.25      +6 -2      ports/devel/cmake/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Max Brazhnikov freebsd_committer 2010-07-24 08:48:13 UTC
State Changed
From-To: patched->closed

The port has been updated. Thanks for report!